[PATCH 1/2] libinput-drv: Add autogen.sh

Olivier Fourdan ofourdan at redhat.com
Tue Jan 20 03:01:09 PST 2015


Signed-off-by: Olivier Fourdan <ofourdan at redhat.com>
---
 autogen.sh | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 autogen.sh

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..4d3c878
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+    exec $srcdir/configure "$@"
+fi
+
-- 
2.1.0



More information about the xorg-devel mailing list